exclamation-circle Modelio 3.7 execution under MacOS 10.13.1 fails

8 months 3 weeks ago #4753 by fleedo
Hi all,

when i try to run Modelio i get the error message to check the eclipse logs. I tried all your suggestions regarding java version and looked through the forum but it did not help. I also tried both of my installed SDKs (8 and 9).

- Version of Modelio:
3.7 RC 1
- Version of your MacOS:
10.13.1
- List of JDKs installed on your systems:
9.01, 1.8.0_152
- What returns java -version?
java version "9.0.1"
Java(TM) SE Runtime Environment (build 9.0.1+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.1+11, mixed mode)

Also see my .bash-profile:
export JAVA_HOME=$(/usr/libexec/java_home)
setjdk() {
  export JAVA_HOME=$(/usr/libexec/java_home -v $1)
}
Attachments:

Please Log in or Create an account to join the conversation.

8 months 3 weeks ago #4756 by pan
Hi,

As i see in your log, it is the Java 9 environment which is taken into account. Did you type "setjdk 1.8" on the shell before launching Modelio?

BR

Please Log in or Create an account to join the conversation.

8 months 3 weeks ago #4757 by ptitvert
I have the same error, and I have done the "setjdk 1.8"
I have run from the shell Modelio that way

$ /Applications/Modelio\ 3.7.app/Contents/MacOS/modelio
18:37:22,968 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.groovy]
18:37:22,968 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
18:37:22,968 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [bundleresource://291.fwk2012744708:1/logback.xml]
18:37:22,976 |-INFO in ch.qos.logback.core.joran.spi.ConfigurationWatchList@46866946 - URL [bundleresource://291.fwk2012744708:1/logback.xml] is not of type file
...

I have put the whole text I wanted to put in this post, but wasn't allowed too, so please check the attached file "text.txt".
Attachments:

Please Log in or Create an account to join the conversation.

8 months 3 weeks ago - 8 months 3 weeks ago #4758 by fleedo
Hi Pan,

sadly yes. Is there any more info i could provide to narrow down the problem?

KR Robert

Please Log in or Create an account to join the conversation.

8 months 3 weeks ago #4760 by pan
@ptitvert It seems that it is always Java 9 which is used as indicated in the following line "java.version=9.0.1" of the log file.
@fleedo I think you have the same problem as ptitvert. Even if you have set the jdk before launching modelio Modelio seems to use the Java 9 which is causing this error.

You could try this:
Modify the modelio.ini file and add the following content (this example is for Windows so the path to javaw must be adapted to your system environment):
--launcher.appendVmargs
-vm
C:\Program Files\Java\jdk-9\bin\javaw.exe
-vmargs
-Dosgi.requiredJavaVersion=1.8
--add-modules=ALL-SYSTEM

We found this workaround on this page: wiki.eclipse.org/Configure_Eclipse_for_J...e_for_Java_9_modules

We are not sure that it works.
We are investigating on it to provide a tested and complete solution.

BR
The following user(s) said Thank You: fleedo

Please Log in or Create an account to join the conversation.

8 months 3 weeks ago #4761 by ptitvert
That works :-)

I've added that in my environment:

--launcher.appendVmargs
-vm
/Library/Java/JavaVirtualMachines/jdk1.8.0_152.jdk/Contents/Home/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.8
--add-modules=ALL-SYSTEM

Now I can run Modelio without problems!
Thank you!
The following user(s) said Thank You: fleedo

Please Log in or Create an account to join the conversation.

Moderators: oslcde
Time to create page: 0.034 seconds
^ Back to Top